Subject: Informatin, please

From: [email-masked] (Ron Fisher)
Date: Thu, 29 Dec 1994 19:18:23 GMT

The best book I have sound so far about herbs and using herbs is called 
"The Way of Herbs" by Michael Tierra, C.A., N.D. (Pocket Books Health).  
It provides a history of herbal use, methods for using herbs, theories of 
herbal medicine, and a catalog of herbs.  The other good book I have 
found is called "The Herb Book" by John Lust (Bantam Books).  It is a 
concise catalog of herbs.  Interestingly, both show a retail shelf price 
of $6.99 or less - kinda' unusual in this field.

--
    ____  ____
   /___/ /__isher
  / \on /           [email-masked]